--神陵秘境 体能药水、通行证购买窗口
checkRequire("Lua_IconShowItem");
Lua_JokerBuyGoodsWindow = class("Lua_JokerBuyGoodsWindow", Lua_TipsBaseWindow);
function Lua_JokerBuyGoodsWindow:ctor()
	self:superCall("ctor");

	self.titleSprite = "fonts_3_015";
	self.windowName = "Lua_JokerBuyGoodsWindow";
	self.skinName = "JokerBuyGoodsWindow_skin";
end

function Lua_JokerBuyGoodsWindow:buildPanel(go)
	self:superCall("buildPanel", go);
	self:addLuaEvent("CLOSE_JOKER_WINDOW", self, self.hide);--重置时关闭窗口
end

function Lua_JokerBuyGoodsWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.selectNum = 1;
	self.boardImg:setEnable(false);
	self.item = Lua_ItemIcon.new(self.content);
	self.item:setLocation(-50, 90, 0);
	self.item:setCanClick(false);

	self.costMoney = Lua_IconShowItem.new(self.content);
	self.costMoney:setLocation(115, 75, 0);
	self.costMoney:setBg(false);

	self.totalMoney = Lua_IconShowItem.new(self.content);
	self.totalMoney:setLocation(80, -80, 0);
	self.totalMoney:setBg(false);

	self.slider = Lua_SliderProgressBar.new(self.content);
	self.slider:createLessPlus("common_altas_3", "ui_sd_button_002_n", "ui_sd_button_001_n");
	self.slider:createMinMax("common_altas_3", "ui_sd_button_004_n", "ui_sd_button_003_n");
	self.slider:setLocation(0, -30, 0);
	self.slider:setValue(1, 1, 1);
	self.slider:setText(1);
	self.slider:setCallBack(self, self.updateCount);
end

function Lua_JokerBuyGoodsWindow:dispose()
	if self.item ~= nil then
		self.item:dispose();
		self.item = nil;
	end
	if self.costMoney ~= nil then
		self.costMoney:dispose();
		self.costMoney = nil;
	end
	if self.totalMoney ~= nil then
		self.totalMoney:dispose();
		self.totalMoney = nil;
	end
	if self.slider ~= nil then
		self.slider:dispose();
		self.slider = nil;
	end
	self:superCall("dispose");
end

function Lua_JokerBuyGoodsWindow:showWin(param)
	self:superCall("showWin", param);

	if param == nil then
		return;
	end

	self.itemName.text = param.itemVo.colorName;
	self.item:setData(param.itemVo);

	self.slider:setValue(1, 1, param.leftTimes);

	if param.leftTimes <= 0 then
		self.limitLabel.text = "";
	else
		self.limitLabel.text = LanUtil.formateStr(201857, tostring(param.leftTimes));
	end
	local resourcesData = Lua_ResourcesData.getConfigDataById(param.moneyType);
	self.costMoney:setIcon(resourcesData.iconAtlas, resourcesData.icon, resourcesData.iconWidth, resourcesData.iconHeight);
	self.costMoney:setCount(numberTrans(param.moneyCount), "4A6793");

	self.totalMoney:setIcon(resourcesData.iconAtlas, resourcesData.icon, resourcesData.iconWidth, resourcesData.iconHeight);
	self:updateCount(self.selectNum);
end

function Lua_JokerBuyGoodsWindow:updateCount(val)
	if self.showData == nil then
		return;
	end

	self.selectNum = val;
	self.moneyNum = self.selectNum * self.showData.moneyCount
	self.totalMoney:setCount(numberTrans(self.moneyNum), "4A6793");
end

function Lua_JokerBuyGoodsWindow:onSureClick(go)
	if DataCenter.moneyData:isMoneyEnough(self.showData.moneyType, tonumber(self.moneyNum), true, true, false) then
		DataCenter.jokerDuelData:setBuyItem(self.showData.itemVo.colorName, self.selectNum);
		Lua_ProxyManager.getProxy("Lua_JokerDuelProxy"):sJokerBuyGoods(self.showData.buyType, self.selectNum);
		self:hide();
	end
end