--神陵秘境 粉丝事件窗口
Lua_JokerDeulFansWindow = class("Lua_JokerDeulFansWindow", Lua_Window);

function Lua_JokerDeulFansWindow:ctor()
	self:superCall("ctor");

	self.w = 686;
	self.h = 514;
	self.windowName = "Lua_JokerDeulFansWindow";
	self.skinName = "JokerDeulFansWindow_skin";
end

function Lua_JokerDeulFansWindow:buildPanel(go)
	self:superCall("buildPanel", go);
	
	self:addLuaEvent("UPDATE_JOKER_CELLCLIEK", self, self.updateInfo);
	self:addLuaEvent("CLOSE_JOKER_WINDOW", self, self.hide);--重置时关闭窗口
end

function Lua_JokerDeulFansWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.eventBtn1:addClickFuntion(self, self.onEventBtn1Click);
	self.eventBtn2:addClickFuntion(self, self.onEventBtn2Click);
end

function Lua_JokerDeulFansWindow:showWin(param)
	self.cellIndex = param;
	self:updateInfo();
end

function Lua_JokerDeulFansWindow:updateInfo()
	local data = DataCenter.jokerEventData;
	local config = DataCenter.jokerDuelUtil:getEventVo(data.fansEventId);
	self.showDesc.text = config.fan_title;
	self.label_event1.text = config.fan_choose[1];
	self.label_event2.text = config.fan_choose[2];

	self.resultShow = config.fan_result_title;
end

function Lua_JokerDeulFansWindow:onEventBtn1Click()
	self:selectOption(1);
end

function Lua_JokerDeulFansWindow:onEventBtn2Click()
	self:selectOption(2);
end

function Lua_JokerDeulFansWindow:selectOption(index)
	if self.isBeSelect == nil then
		 self.isBeSelect = true;
		Lua_ProxyManager.getProxy("Lua_JokerDuelProxy"):sJokerFansSelect(self.cellIndex);
		
		OperateAlert.show(self.resultShow[index]);
		self:hide();
	end
end

function Lua_JokerDeulFansWindow:dispose()
	self:superCall("dispose");
end