--神陵秘境 明星拖拽窗口
Lua_JokerStarDragWindow = class("Lua_JokerStarDragWindow",Lua_Window);

function Lua_JokerStarDragWindow:ctor()
    self:superCall("ctor");
    
    self.isModel = false;
    self.showClose = false;
    self.showTitle = false;
    self.showWinBg = false;
    self.isClickClose = true;
    self.showCloseText = false;
    self.windowName = "Lua_JokerStarDragWindow";
end

function Lua_JokerStarDragWindow:buildShowItem()
    self:superCall("buildShowItem");
    self.toolImg = Lua_ItemIcon.new(self.content);
    self.toolImg:setScale(0.9, 0.9);
    self.toolImg:removeFun(false);
end

function Lua_JokerStarDragWindow:showWin(param)
    self.data = param;
    self.toolImg:setData(self.data.data);
    self.toolImg:showStarFightIcon(false);

    Lua_CommonUtil.addTimer("onModelMoving", 0.001, self, self.onModelMoving);
    self:onModelMoving();
end

function Lua_JokerStarDragWindow:onModelMoving()
    local mousePosition = LuaUtil.getTouchPosInverseObj(self.content);
    self.toolImg:setLocation(mousePosition.x, mousePosition.y);
end

function Lua_JokerStarDragWindow:dispose()
    if self.toolImg ~= nil then
        self.toolImg:dispose();
        self.toolImg = nil;
    end

    -- local mousePosition = LuaUtil.getTouchPosInverseObj(self.content);
    -- local sdata = { };
    -- sdata.data = self.data;
    -- sdata.pos_x = mousePosition.x;
    -- sdata.pos_y = mousePosition.y;
    -- DataCenter.jokerEmbattleData:updataDragOverInfo(sdata); -- 拖拽结束 更新数据

    Lua_CommonUtil.removeTimer(self, self.onModelMoving);
    self:superCall("dispose");
end