--神陵秘境 怪物Item
Lua_JokerDuelMosterItem = class("Lua_JokerDuelMosterItem", Lua_ListCell);

function Lua_JokerDuelMosterItem:ctor(p)
	self:superCall("ctor", p, "JokerDuelStarItem_skin");
end

function Lua_JokerDuelMosterItem:buildShowItem()
	self:superCall("buildShowItem");

	self.starIcon = Lua_ItemIcon.new(self.content);
	self.starIcon:setScale(0.9, 0.9, 0.9);
    self.starIcon:setLocation(0, 12, 0);
    self.starIcon:setCanClick(false);
    self.starIcon:setSiblingIndex(0);

	self:addLuaEvent("UPDATE_JOKERDUEL_SELECTMOSTER", self, self.updataSelect);
end

function Lua_JokerDuelMosterItem:setData(data)
	self.data = data;
	self.starIcon:setData(data);

	self.hpBar:setMaxValue(data.max_blood);
	self.hpBar:setValue(data.blood);

	self:updataSelect();
end

function Lua_JokerDuelMosterItem:updataSelect()
	if self.data.index == DataCenter.jokerDuelData.monsterIndex then
		self.sellOutObj:SetActive(true);
	else
		self.sellOutObj:SetActive(false);
	end
end

function Lua_JokerDuelMosterItem:onPressClick()
	if self.data.index == DataCenter.jokerDuelData.monsterIndex then
		return;
	end
	DataCenter.jokerDuelData.monsterIndex = self.data.index;
	Lua_MsgUtil.callFunc("UPDATE_JOKERDUEL_SELECTMOSTER");
end

function Lua_JokerDuelMosterItem:dispose()
	if self.starIcon ~= nil then
		self.starIcon:dispose();
		self.starIcon = nil;
	end
	self:superCall("dispose");
end