--神陵秘境 主界面明星Item
Lua_JokerDuelStarItem = class("Lua_JokerDuelStarItem", Lua_ListCell);

function Lua_JokerDuelStarItem:ctor(p)
	self:superCall("ctor", p, "JokerDuelStarItem_skin");
end

function Lua_JokerDuelStarItem:buildShowItem()
	self:superCall("buildShowItem");

	self.starIcon = Lua_ItemIcon.new(self.content);
	self.starIcon:setScale(0.9, 0.9, 0.9);
	self.starIcon:setCanClick(false);
	self.starIcon:setLocation(0, 18, 0);
	self.starIcon:setSiblingIndex(0);
	

	self:addLuaEvent("UPDATE_JOKERDUEL_STARSELECT", self, self.updateSelect);
end

function Lua_JokerDuelStarItem:dispose()
	if self.starIcon ~= nil then
		self.starIcon:dispose();
		self.starIcon = nil;
	end
	self:superCall("dispose");
end

function Lua_JokerDuelStarItem:setData(data)
	self.data = data;
	self.starIcon:setData(data);

	self.hpBar:setMaxValue(data.max_blood);
	self.hpBar:setValue(data.blood);

	self.playerAnagerBar:setMaxValue(100);
	self.playerAnagerBar:setValue(data.curEnergy);

	--退场
	local isExit = data.blood <= 0;
	self.starIcon:setGray(isExit);
	self.label_fail:setEnable(isExit);

	self:updateSelect();
end

function Lua_JokerDuelStarItem:updateSelect()
	local curIndex = DataCenter.jokerDuelData.curStarIndex;
	self.sellOutObj:SetActive(self.data.index == curIndex);
end

function Lua_JokerDuelStarItem:onPressClick()
	if self.data.blood <= 0 then
		OperateAlert.showLangValue(201806);
		return;
	end
	if self.data.index == DataCenter.jokerDuelData.curStarIndex then
		return;
	end

	DataCenter.jokerDuelData.curStarIndex = self.data.index
	Lua_MsgUtil.callFunc("UPDATE_JOKERDUEL_STARSELECT");
end