--神陵秘境 联系赞助窗口
checkRequire("Lua_JokerSponsorItem");
Lua_JokerSponsorGoodsWindow = class("Lua_JokerSponsorGoodsWindow", Lua_Window);

function Lua_JokerSponsorGoodsWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_JokerSponsorGoodsWindow";
	self.skinName = "JokerSponsorGoodsWindow_skin";
end

function Lua_JokerSponsorGoodsWindow:buildPanel(go)
	self:superCall("buildPanel", go);
	
	self:addLuaEvent("UPDATE_JOKER_CONTACTSHOP", self, self.updateShopInfo);
	self:addLuaEvent("CLOSE_JOKER_WINDOW", self, self.hide);--重置时关闭窗口
end


function Lua_JokerSponsorGoodsWindow:buildShowItem()
	self:superCall("buildShowItem");

	Lua_ProxyManager.getProxy("Lua_JokerDuelProxy"):sJokerContactInfo();

	self.item = Lua_JokerSponsorItem.new(self.content, Lua_JokerDeulUtil.CONTACTSHOP);
	self.item:setLocation(70, -70, 0);
	self.tips:setLangValue(201846);
end

function Lua_JokerSponsorGoodsWindow:updateShopInfo()
	local data = DataCenter.jokerDuelData.contactShopItemArr;
	if data[1] ~= nil then
		self.item:setData(data[1]);
	end
end

function Lua_JokerSponsorGoodsWindow:dispose()
	if self.item ~= nil then
		self.item:dispose();
		self.item = nil;
	end
	self:superCall("dispose");
end