--神陵秘境 赞助商店窗口
checkRequire("Lua_JokerSponsorItem");
Lua_JokerSponsorShopWindow = class("Lua_JokerSponsorShopWindow", Lua_Window);

function Lua_JokerSponsorShopWindow:ctor()
	self:superCall("ctor");

	self.windowName = "Lua_JokerSponsorShopWindow";
	self.skinName = "JokerSponsorShopWindow_skin";
end

function Lua_JokerSponsorShopWindow:buildPanel(go)
	self:superCall("buildPanel", go);

	self:addLuaEvent("UPDATE_JOKER_CELLCLIEK", self, self.updateSponsorInfo);--点击格子
	self:addLuaEvent("UPDATE_JOKER_SPONSORBUY", self, self.updateSponsorInfo);--购买商品
	self:addLuaEvent("CLOSE_JOKER_WINDOW", self, self.hide);--重置时关闭窗口
end

function Lua_JokerSponsorShopWindow:showWin(param)
	self:superCall("showWin", param);
	self.cellIndex = param;
	self:updateSponsorInfo();
end

function Lua_JokerSponsorShopWindow:buildShowItem()
	self:superCall("buildShowItem");

	self.tips:setLangValue(201846);
	
	local itemPos = {{-80, -70}, {70, -70}, {220, -70}};
	self.itemArr = Array();
	for i = 1, 3 do
		local item = Lua_JokerSponsorItem.new(self.shopObj, Lua_JokerDeulUtil.SPONSORSHOP);
		item:setLocation(itemPos[i][1], itemPos[i][2], 0);
		self.itemArr:add(item);
	end
end

function Lua_JokerSponsorShopWindow:updateSponsorInfo()
	local data = DataCenter.jokerEventData.sponsorShopItemArr;
	for i = 1, self.itemArr:getSize() do
		if i <= data:getSize() then
			self.itemArr[i]:setData(data[i], self.cellIndex);
		else
			self.itemArr[i]:setEnable(false);
		end
	end
	LuaUtil.setObjPos(self.shopObj, 75 * (3 - data:getSize()), 0, 0);
end

function Lua_JokerSponsorShopWindow:dispose()
	if self.itemArr ~= nil then
		self.itemArr:dispose();
		self.itemArr:clear();
		self.itemArr = nil;
	end
	Lua_MsgUtil.callFunc("CLEAR_JOKER_SPONSORSHOP", self.cellIndex);
	self:superCall("dispose");
end