--神陵秘境 道具栏Item
Lua_JokerControlItem = class("Lua_JokerControlItem",Lua_DisplayObject);

function Lua_JokerControlItem:ctor(p, config)
	self.config = config;
	self:superCall("ctor", p, "JokerControlItem_skin");
end

function Lua_JokerControlItem:buildShowItem()
	self:superCall("buildShowItem");

	self.showTxtBg.alpha = 0.75;
	
	self.toolNameSp:setAltas("jokerDuel_altas", self.config.toolNameSp);
	self.toolNameSp:resetSize();

	self.toolSp:setAltas("item_altas_1", "20501000" .. self.config.type);
	self.toolSp:resetSize();
	self.toolSp:setScale(0.8, 0.8, 0.8);
	self.toolSp:addClickFuntion(self, self.onItemClick);
end

function Lua_JokerControlItem:dispose()
	self:superCall("dispose");
end

function Lua_JokerControlItem:setData(data)
	self.data = data;

	self.showTxt.text = data.count;
end

function Lua_JokerControlItem:onItemClick()
	if DataCenter.jokerDuelData:getClickLimit(3) then return end;

	if self.config.type == 3 then
		if self.data.count <= 0 then
			OperateAlert.showLangValue(201804);
			return;
		end
		OperateAlert.showLangValue(201805);
	end	
	Lua_WindowUtil.openWin(self.config.openWin, Lua_WinParam.ACTION_OPEN, self.config.type);
end